get_node_attrs_ws {DiagrammeR} | R Documentation

## Get node attribute values from a selection of nodes

### Description

From a graph object of class `dgr_graph`, get node attribute values from nodes currently active as a selection.

### Usage

    get_node_attrs_ws(graph, node_attr)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`node_attr` | the name of the attribute for which to get values.

### Value

a named vector of node attribute values for the attribute given by `node_attr` by node ID.

### Examples

    # Create a random graph and
    # incorporate the node attribute
    # called `value`
    graph <-
      create_random_graph(
        n = 4, m = 4,
        set_seed = 23)

    # Select nodes with ID values
    # `1` and `3`
    graph <-
      graph %>%
      select_nodes_by_id(
        nodes = c(1, 3))

    # Get the node attribute values
    # for the `value` attribute, limited
    # to the current node selection
    graph %>%
      get_node_attrs_ws(
        node_attr = value)
    #>   1   3
    #> 6.0 3.5

[Package DiagrammeR version 0.9.2 Index]